{
  "components": {
    "examples": {
      "standard-error-400": {
        "description": "The request body or parameters are invalid.",
        "summary": "Bad Request",
        "value": {
          "errors": [],
          "localizedMessage": "Invalid request",
          "message": "Invalid request",
          "status": "BAD_REQUEST",
          "statusCode": 400
        }
      },
      "standard-error-401": {
        "description": "The credentials are missing or invalid, the calling IP is not on the client's allowlist, or mTLS is enforced and no valid client certificate was sent. An expired session token gets 401 Token expired.",
        "summary": "Unauthorized",
        "value": {
          "errors": [],
          "localizedMessage": "Authentication failed",
          "message": "Authentication failed",
          "status": "UNAUTHORIZED",
          "statusCode": 401
        }
      },
      "standard-error-403": {
        "description": "The client is not allowed to use this endpoint or resource.",
        "summary": "Forbidden",
        "value": {
          "errors": [],
          "localizedMessage": "Not allowed",
          "message": "Not allowed",
          "status": "FORBIDDEN",
          "statusCode": 403
        }
      },
      "standard-error-404": {
        "description": "The requested resource does not exist or has expired.",
        "summary": "Not Found",
        "value": {
          "errors": [],
          "localizedMessage": "Not found",
          "message": "Not found",
          "status": "NOT_FOUND",
          "statusCode": 404
        }
      },
      "standard-error-429": {
        "description": "The client has sent too many requests in a given time window. Retry after a delay using exponential backoff.",
        "summary": "Rate limit exceeded",
        "value": {
          "errors": [],
          "localizedMessage": "Too many requests. Please retry with backoff.",
          "message": "Too many requests. Please retry with backoff.",
          "status": "TOO_MANY_REQUESTS",
          "statusCode": 429
        }
      }
    },
    "schemas": {
      "AccountInformation": {
        "properties": {
          "cashAccountNumber": {
            "description": "Number of the cash account.",
            "example": "123456789",
            "type": "string"
          },
          "cashValue": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "Available cash balance in the account."
          },
          "hasExclusiveOwnership": {
            "description": "Indicates whether the user has exclusive ownership of the account. False if PoA or shared ownership.",
            "example": true,
            "type": "boolean"
          },
          "interestRate": {
            "description": "Interest rate of the account. Percentage [0...1]",
            "example": 0.0375,
            "format": "double",
            "type": "number"
          }
        }
      },
      "AdditionalLoginInput": {
        "description": "Additional login input",
        "example": {
          "key": "region",
          "options": [
            {
              "label": "Centre Loire",
              "value": "centreloire"
            },
            {
              "label": "Centre Est",
              "value": "centrest"
            }
          ],
          "type": "selectOne"
        },
        "oneOf": [
          {
            "$ref": "#/components/schemas/SelectOne"
          }
        ],
        "properties": {
          "type": {
            "type": "string"
          }
        }
      },
      "AdditionalLoginInputSelectOption": {
        "properties": {
          "label": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        },
        "required": [
          "label",
          "value"
        ]
      },
      "BuyTransaction": {
        "description": "A purchase on the account",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/Transaction"
          },
          "propertyName": "transaction type"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The transaction amount."
          },
          "commission": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The optional commission on the transaction"
          },
          "instrumentInformation": {
            "$ref": "#/components/schemas/TransactionInstrument",
            "description": "Information about the instrument traded."
          },
          "quantity": {
            "description": "The quantity of stock or fund bought.",
            "example": 204.33,
            "format": "double",
            "type": "number"
          },
          "settlementDate": {
            "description": "The date when the transaction was settled.",
            "example": "2024-01-01",
            "type": "string"
          },
          "tradeDate": {
            "description": "The date when the instrument was traded.",
            "example": "2024-01-01",
            "type": "string"
          },
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "BUY",
            "title": "TransactionType",
            "type": "string"
          }
        },
        "title": "BuyTransaction"
      },
      "CollectionInput": {
        "description": "A `CollectionInput` is a set of values that required for the collection process to continue. The required input is specified by the key `REQUIRED_INPUT_TYPES`, under the `extraInformation` key on the `CollectionStatus` object.",
        "properties": {
          "items": {
            "items": {
              "$ref": "#/components/schemas/Item"
            },
            "type": "array",
            "uniqueItems": true
          },
          "type": {
            "enum": [
              "COLLECTION_INPUT"
            ],
            "example": "COLLECTION_INPUT",
            "type": "string"
          }
        }
      },
      "CollectionParameter": {
        "description": "Marker interface for typed parameters in an initiate-collection request. Each concrete implementation describes a specific type of input (authentication, consent, filter, etc.)",
        "discriminator": {
          "mapping": {
            "LOGIN_METHOD": "#/components/schemas/LoginMethodParameter",
            "SESSION_METADATA": "#/components/schemas/SessionMetadataParameter",
            "TRADE_UNION_CONSENT": "#/components/schemas/TradeUnionConsentParameter"
          },
          "propertyName": "type"
        },
        "properties": {
          "type": {
            "type": "string"
          }
        },
        "required": [
          "type"
        ]
      },
      "CollectionStatus": {
        "discriminator": {
          "propertyName": "api"
        },
        "properties": {
          "company": {
            "description": "Company that this collection is from",
            "example": "se-lansforsakringar",
            "type": "string"
          },
          "externalUserUuid": {
            "description": "The UUID of the external user this collection belongs to, when it is linked to one (null otherwise). Can be used to build a Hub deep-link of the form /collections/user/{externalUserUuid}.",
            "example": "b3f1c2a4-8d6e-4f2b-9a1c-7e5d3b2a1f0e",
            "type": "string"
          },
          "extraInformation": {
            "$ref": "#/components/schemas/CollectionStatusInformationMap",
            "description": "A key-value map containing potential extra information, depending on the company the collection is getting data from.",
            "example": {
              "SWEDISH_BANKID_QRCODE": "iVBORw0KGgoAA==",
              "SWEDISH_MOBILE_BANKID_AUTOSTART_TOKEN": "38bb848d-5a0d-4dec-977d-a8777f3637da"
            }
          },
          "id": {
            "description": "The collection ID of the request",
            "example": "22e633bc-427d-4f4a-87cf-cfaca04ef351",
            "type": "string"
          },
          "pollingTimeout": {
            "description": "The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.",
            "example": "2024-09-26T12:59:10.545Z",
            "format": "date-time",
            "type": "string"
          },
          "status": {
            "description": "Current status of the collection.",
            "enum": [
              "RUNNING",
              "LOGIN",
              "CUSTOMER_ENROLLMENT_CHECK",
              "TWO_FACTOR_PENDING",
              "TWO_FACTOR_METHOD_SELECTION_TIMEOUT",
              "CONTACT_FORM_PENDING",
              "COLLECTION_INPUT_PENDING",
              "COLLECTION_INPUT_TIMEOUT",
              "COLLECTING",
              "COMPLETED",
              "COMPLETED_PARTIAL",
              "COMPLETED_EMPTY",
              "FAILED",
              "FAILED_PDF_PARSE",
              "FAILED_PDF_USER_INPUT",
              "AUTHENTICATION_TIMEOUT",
              "WAITING_FOR_USER_ACTION",
              "INCORRECT_CREDENTIALS",
              "INCORRECT_TWO_FACTOR_CODE",
              "AUTHENTICATION_CANCELLED",
              "AUTHENTICATION_CONFLICT",
              "ACCOUNT_TEMPORARILY_LOCKED",
              "AUTHENTICATION_MISMATCH",
              "KYC_FORM",
              "CONTACT_FORM",
              "CUSTOMER_ENROLLMENT_REQUIRED",
              "THIRD_PARTY_ERROR",
              "AUTHENTICATION_ERROR",
              "LOGIN_METHOD_NOT_APPLICABLE"
            ],
            "example": "RUNNING",
            "type": "string"
          }
        },
        "required": [
          "company",
          "id",
          "status"
        ],
        "title": "CollectionStatus"
      },
      "CollectionStatusInformationMap": {
        "description": "Possible extra information returned for a collection status",
        "discriminator": {
          "propertyName": "api"
        },
        "properties": {
          "ACCESS_TOKEN": {
            "description": "Access token to call get-data. Returned when data collection is initiated by client-id.",
            "type": "string"
          },
          "AVAILABLE_TWO_FACTOR_METHODS": {
            "description": "Available 2FA methods for this collection.",
            "items": {
              "$ref": "#/components/schemas/TwoFactorOption"
            },
            "type": "array"
          },
          "INSTRUCTIONS": {
            "$ref": "#/components/schemas/InstructionsRequestObject",
            "description": "Instructions used for SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION login method.",
            "x-markets": {
              "se": true
            }
          },
          "QR_CODE_DATA": {
            "description": "A base64 encoded QR-code.",
            "example": "R0lGODdhtAC0AIAAAAAAAP///ywAAALg==Lg==",
            "type": "string"
          },
          "REFERENCE_NUMBER": {
            "description": "Reference number from login page to verify on other device.",
            "example": "1234",
            "type": "string"
          },
          "REQUIRED_INPUT_TYPES": {
            "description": "Input that needs to be provided for the collection process to continue.",
            "example": "EMAIL",
            "items": {
              "description": "Type of input.",
              "enum": [
                "EMAIL"
              ],
              "example": "EMAIL",
              "type": "string"
            },
            "type": "array"
          },
          "TWO_FACTOR_AUTHENTICATION_INSTRUCTION": {
            "$ref": "#/components/schemas/TwoFactorAuthenticationInstruction"
          }
        },
        "title": "CollectionStatusInformation"
      },
      "CollectionStatusResponse": {
        "discriminator": {
          "propertyName": "api"
        },
        "properties": {
          "company": {
            "description": "Company identifier.",
            "example": "se-lansforsakringar",
            "type": "string"
          },
          "externalUserUuid": {
            "description": "The UUID of the external user this collection belongs to, when it is linked to one (null otherwise). Can be used to build a Hub deep-link of the form /collections/user/{externalUserUuid}.",
            "example": "b3f1c2a4-8d6e-4f2b-9a1c-7e5d3b2a1f0e",
            "type": "string"
          },
          "extraInformation": {
            "$ref": "#/components/schemas/CollectionStatusInformationMap",
            "description": "A key-value map containing potential extra information, depending on the company the collection is getting data from.",
            "example": {
              "SWEDISH_BANKID_QRCODE": "iVBORw0KGgoAA==",
              "SWEDISH_MOBILE_BANKID_AUTOSTART_TOKEN": "38bb848d-5a0d-4dec-977d-a8777f3637da"
            }
          },
          "id": {
            "description": "The collection ID of the request",
            "example": "22e633bc-427d-4f4a-87cf-cfaca04ef351",
            "type": "string"
          },
          "pollingInterval": {
            "description": "The recommended interval in milliseconds at which to poll the `/status` endpoint for a collection. The endpoint can be polled less often, but latest by the value indicated by `pollingTimeout` to ensure that the collection is not terminated.",
            "example": 1000,
            "format": "int32",
            "type": "integer"
          },
          "pollingTimeout": {
            "description": "The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.",
            "example": "2024-09-26T12:59:10.545Z",
            "format": "date-time",
            "type": "string"
          },
          "status": {
            "description": "Current status of the collection.",
            "enum": [
              "RUNNING",
              "LOGIN",
              "CUSTOMER_ENROLLMENT_CHECK",
              "TWO_FACTOR_PENDING",
              "TWO_FACTOR_METHOD_SELECTION_TIMEOUT",
              "CONTACT_FORM_PENDING",
              "COLLECTION_INPUT_PENDING",
              "COLLECTION_INPUT_TIMEOUT",
              "COLLECTING",
              "COMPLETED",
              "COMPLETED_PARTIAL",
              "COMPLETED_EMPTY",
              "FAILED",
              "FAILED_PDF_PARSE",
              "FAILED_PDF_USER_INPUT",
              "AUTHENTICATION_TIMEOUT",
              "WAITING_FOR_USER_ACTION",
              "INCORRECT_CREDENTIALS",
              "INCORRECT_TWO_FACTOR_CODE",
              "AUTHENTICATION_CANCELLED",
              "AUTHENTICATION_CONFLICT",
              "ACCOUNT_TEMPORARILY_LOCKED",
              "AUTHENTICATION_MISMATCH",
              "KYC_FORM",
              "CONTACT_FORM",
              "CUSTOMER_ENROLLMENT_REQUIRED",
              "THIRD_PARTY_ERROR",
              "AUTHENTICATION_ERROR",
              "LOGIN_METHOD_NOT_APPLICABLE"
            ],
            "example": "RUNNING",
            "type": "string"
          }
        },
        "required": [
          "company",
          "id",
          "status"
        ],
        "title": "CollectionStatusResponse"
      },
      "CollectionSummary": {
        "description": "Response representing a collection summary.",
        "properties": {
          "collectionId": {
            "description": "Unique identifier for the collection.",
            "example": "550e8400-e29b-41d4-a716-446655440000",
            "type": "string"
          },
          "company": {
            "description": "Company identifier.",
            "example": "se-folksam",
            "type": "string"
          },
          "createdAt": {
            "description": "Timestamp when the collection was created.",
            "example": "2026-02-20T10:30:00",
            "format": "date-time",
            "type": "string"
          },
          "loginMethod": {
            "description": "Login method used for the collection.",
            "enum": [
              "DANISH_NEMID",
              "DANISH_MITID",
              "DANISH_MITID_SAME_DEVICE",
              "ESTONIAN_MOBILE_ID",
              "ESTONIAN_SMART_ID",
              "ESTONIAN_MOBILE_ID_USERNAME",
              "ESTONIAN_SMART_ID_USERNAME",
              "LATVIAN_MOBILE_EPARAKSTS",
              "LATVIAN_SMART_ID",
              "LATVIAN_MOBILE_EPARAKSTS_USERNAME",
              "LATVIAN_SMART_ID_USERNAME",
              "LITHUANIAN_SMART_ID",
              "LITHUANIAN_MOBILE_ID",
              "LITHUANIAN_SMART_ID_USERNAME",
              "LITHUANIAN_MOBILE_ID_USERNAME",
              "SMART_ID_SAME_DEVICE",
              "SMART_ID_OTHER_DEVICE",
              "SMART_ID_USERNAME_SAME_DEVICE",
              "SMART_ID_USERNAME_OTHER_DEVICE",
              "NORWEGIAN_BANKID_ON_MOBILE",
              "NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST",
              "SWEDISH_SECURITY_TOKEN",
              "UK_DOB_USERNAME_PASSWORD",
              "UK_LASTNAME_MEMBERSHIP_NUMBER",
              "UK_USERNAME_POSTCODE",
              "USERNAME_AND_PASSWORD",
              "EMAIL",
              "PDF_UPLOAD",
              "GERMAN_EID",
              "AUTHENTICATION_APP_URL",
              "MANUAL_SELECT",
              "API_KEY"
            ],
            "type": "string"
          },
          "status": {
            "description": "Current status of the collection.",
            "example": "COMPLETED",
            "type": "string"
          }
        },
        "required": [
          "collectionId",
          "company",
          "status"
        ],
        "title": "CollectionSummary"
      },
      "CompanyAvailability": {
        "discriminator": {
          "propertyName": "api"
        },
        "properties": {
          "additionalLoginInputs": {
            "description": "Additional input for login step.",
            "items": {
              "$ref": "#/components/schemas/AdditionalLoginInput"
            },
            "type": "array",
            "uniqueItems": true
          },
          "availableCoverageScopes": {
            "description": "Set of available coverage types and subtypes for this company",
            "example": [
              {
                "insuranceSubType": "CAR_INSURANCE",
                "insuranceType": "VEHICLE_INSURANCE"
              }
            ],
            "items": {
              "$ref": "#/components/schemas/InsuranceTypeAndSubtype"
            },
            "type": "array",
            "uniqueItems": true
          },
          "collectionMethod": {
            "description": "The method used to collect data from this company. PSD2 indicates bank API collection, LEFI indicates registry-based collection, and STANDARD indicates the normal Insurely data collection flow.",
            "enum": [
              "PSD2",
              "LEFI",
              "STANDARD"
            ],
            "example": "STANDARD",
            "type": "string"
          },
          "company": {
            "description": "Name of the company.",
            "example": "uk-aviva",
            "minLength": 1,
            "type": "string"
          },
          "companyAndLineOfBusinesses": {
            "description": "Available company and line of business for insurance pdf upload.",
            "example": "UK_AXA_HOME",
            "items": {
              "enum": [
                "EE_SWEDBANK",
                "FR_ABEILLE_HOME",
                "FR_ABEILLE_VEHICLE",
                "FR_ALLIANZ_HOME",
                "FR_ALLIANZ_VEHICLE",
                "FR_ANIMAUXSANTE_HOME",
                "FR_ASSUR_OPOIL_ANIMAL",
                "FR_AXA_HOME",
                "FR_AXA_VEHICLE",
                "FR_AXA_GENERAL",
                "FR_BANQUE_POPULAIRE_HOME",
                "FR_BANQUE_POPULAIRE_VEHICLE",
                "FR_BULLE_BLEUE_HOME",
                "FR_CAISSE_DEPARGNE_HOME",
                "FR_CAISSE_DEPARGNE_VEHICLE",
                "FR_CARDIF_HOME",
                "FR_CREDIT_AGRICOLE_HOME",
                "FR_CREDIT_AGRICOLE_VEHICLE",
                "FR_CREDIT_MUTUEL_HOME",
                "FR_CREDIT_MUTUEL_VEHICLE",
                "FR_DEMO_HOME",
                "FR_DEMO_VEHICLE",
                "FR_DIRECT_ASSURANCE_HOME",
                "FR_DIRECT_ASSURANCE_VEHICLE",
                "FR_ECA_HOME",
                "FR_ECA_VEHICLE",
                "FR_ECA_ANIMAL",
                "FR_GENERALI_HOME",
                "FR_GENERALI_VEHICLE",
                "FR_GMF_HOME",
                "FR_GMF_VEHICLE",
                "FR_GROUPAMA_HOME",
                "FR_GROUPAMA_VEHICLE",
                "FR_LUKO_HOME",
                "FR_LOLIVIER_HOME",
                "FR_LOLIVIER_VEHICLE",
                "FR_LA_BANQUE_POSTALE_HOME",
                "FR_LA_BANQUE_POSTALE_VEHICLE",
                "FR_MAAF_HOME",
                "FR_MAAF_VEHICLE",
                "FR_MACIF_HOME",
                "FR_MACIF_VEHICLE",
                "FR_MAIF_HOME",
                "FR_MAIF_VEHICLE",
                "FR_MATMUT_HOME",
                "FR_MATMUT_VEHICLE",
                "FR_SOCIETE_GENERAL_INSURANCE_HOME",
                "FR_SOCIETE_GENERAL_INSURANCE_VEHICLE",
                "FR_MMA_HOME",
                "FR_MMA_VEHICLE",
                "FR_SANTEVET_HOME",
                "LT_BALCIA_HOME",
                "LT_COMPENSA_HOME",
                "LT_ERGO_HOME",
                "LT_GJENSIDIGE_HOME",
                "LT_IF_HOME",
                "LT_LIETUVOS_DRAUDIMAS_HOME",
                "LT_SWEDBANK_HOME",
                "LV_BALCIA_HOME",
                "LV_BALTA_HOME",
                "LV_COMPENSA_HOME",
                "LV_ERGO_HOME",
                "LV_GJENSIDIGE_HOME",
                "LV_IF_HOME",
                "LV_SWEDBANK_HOME",
                "SE_IF_VEHICLE",
                "SE_FOLKSAM_VEHICLE",
                "SE_LANSFORSAKRINGAR_HOME",
                "SE_PAYDRIVE_VEHICLE",
                "SE_SVEDEA_VEHICLE",
                "SE_VOLVIA_VEHICLE",
                "SE_BLIWA_ACCIDENT",
                "UK_AXA_HOME",
                "UK_AXA_VEHICLE",
                "UK_HASTINGS_DIRECT_HOME",
                "UK_HASTINGS_DIRECT_VEHICLE",
                "UK_POLICYEXPERT_HOME",
                "UK_POLICYEXPERT_VEHICLE",
                "UK_POST_OFFICE_HOME",
                "UK_THE_AA_HOME",
                "UK_THE_AA_VEHICLE",
                "UK_URBAN_JUNGLE_HOME",
                "FR_AXA_PERSON",
                "FR_ACHEEL_HOME",
                "FR_ACHEEL_VEHICLE",
                "FR_MALAKOFF_HUMANIS_HEALTH",
                "FR_HARMONIE_MUTUELLE_HEALTH",
                "FR_ALAN_HEALTH",
                "FR_AESIO_MUTUELLE_HEALTH",
                "FR_AG2R_LA_MONDIALE_HEALTH"
              ],
              "type": "string"
            },
            "type": "array",
            "uniqueItems": true
          },
          "companyDisplayName": {
            "description": "Company display name, for displaying to users.",
            "example": "Aviva",
            "minLength": 1,
            "type": "string"
          },
          "companyGroup": {
            "description": "The name of the group that a company or integration belongs to",
            "example": "SEB",
            "type": "string"
          },
          "companyLinks": {
            "additionalProperties": {
              "type": "string"
            },
            "description": "Company-specific links such as contact forms or other external resources",
            "example": "{'contactFormLink': 'https://example.com/contact'",
            "type": "object"
          },
          "consentRequirements": {
            "description": "The set of consents required for initiating collections from this company.",
            "items": {
              "$ref": "#/components/schemas/ConsentRequirement"
            },
            "type": "array",
            "uniqueItems": true
          },
          "functional": {
            "description": "Whether or not it is possible to collect data from the company currently.",
            "example": false,
            "type": "boolean"
          },
          "loginConfig": {
            "$ref": "#/components/schemas/CompanyLoginConfig",
            "description": "Configuration options for different login methods."
          },
          "loginMethods": {
            "description": "Available login methods for the company.",
            "example": "USERNAME_AND_PASSWORD",
            "items": {
              "enum": [
                "DANISH_NEMID",
                "DANISH_MITID",
                "DANISH_MITID_SAME_DEVICE",
                "ESTONIAN_MOBILE_ID",
                "ESTONIAN_SMART_ID",
                "ESTONIAN_MOBILE_ID_USERNAME",
                "ESTONIAN_SMART_ID_USERNAME",
                "LATVIAN_MOBILE_EPARAKSTS",
                "LATVIAN_SMART_ID",
                "LATVIAN_MOBILE_EPARAKSTS_USERNAME",
                "LATVIAN_SMART_ID_USERNAME",
                "LITHUANIAN_SMART_ID",
                "LITHUANIAN_MOBILE_ID",
                "LITHUANIAN_SMART_ID_USERNAME",
                "LITHUANIAN_MOBILE_ID_USERNAME",
                "SMART_ID_SAME_DEVICE",
                "SMART_ID_OTHER_DEVICE",
                "SMART_ID_USERNAME_SAME_DEVICE",
                "SMART_ID_USERNAME_OTHER_DEVICE",
                "NORWEGIAN_BANKID_ON_MOBILE",
                "NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST",
                "SWEDISH_SECURITY_TOKEN",
                "UK_DOB_USERNAME_PASSWORD",
                "UK_LASTNAME_MEMBERSHIP_NUMBER",
                "UK_USERNAME_POSTCODE",
                "USERNAME_AND_PASSWORD",
                "EMAIL",
                "PDF_UPLOAD",
                "GERMAN_EID",
                "AUTHENTICATION_APP_URL",
                "MANUAL_SELECT",
                "API_KEY"
              ],
              "type": "string"
            },
            "type": "array",
            "uniqueItems": true
          },
          "nonFunctionalLoginMethods": {
            "description": "Disabled login methods for the company.",
            "example": "USERNAME_AND_PASSWORD",
            "items": {
              "enum": [
                "DANISH_NEMID",
                "DANISH_MITID",
                "DANISH_MITID_SAME_DEVICE",
                "ESTONIAN_MOBILE_ID",
                "ESTONIAN_SMART_ID",
                "ESTONIAN_MOBILE_ID_USERNAME",
                "ESTONIAN_SMART_ID_USERNAME",
                "LATVIAN_MOBILE_EPARAKSTS",
                "LATVIAN_SMART_ID",
                "LATVIAN_MOBILE_EPARAKSTS_USERNAME",
                "LATVIAN_SMART_ID_USERNAME",
                "LITHUANIAN_SMART_ID",
                "LITHUANIAN_MOBILE_ID",
                "LITHUANIAN_SMART_ID_USERNAME",
                "LITHUANIAN_MOBILE_ID_USERNAME",
                "SMART_ID_SAME_DEVICE",
                "SMART_ID_OTHER_DEVICE",
                "SMART_ID_USERNAME_SAME_DEVICE",
                "SMART_ID_USERNAME_OTHER_DEVICE",
                "NORWEGIAN_BANKID_ON_MOBILE",
                "NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK",
                "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST",
                "SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST",
                "SWEDISH_SECURITY_TOKEN",
                "UK_DOB_USERNAME_PASSWORD",
                "UK_LASTNAME_MEMBERSHIP_NUMBER",
                "UK_USERNAME_POSTCODE",
                "USERNAME_AND_PASSWORD",
                "EMAIL",
                "PDF_UPLOAD",
                "GERMAN_EID",
                "AUTHENTICATION_APP_URL",
                "MANUAL_SELECT",
                "API_KEY"
              ],
              "type": "string"
            },
            "type": "array",
            "uniqueItems": true
          },
          "notifications": {
            "additionalProperties": {
              "type": "string"
            },
            "description": "Company-specific notifications configuration",
            "example": "{'LOADING_SCREEN': 'SIGNIN_WARNING'}",
            "type": "object"
          },
          "reason": {
            "description": "Reason for data collection being non-functional at present.",
            "enum": [
              "THIRD_PARTY_ERROR",
              "THIRD_PARTY_UPDATE",
              "INSURELY_ERROR",
              "INSURELY_UPDATE",
              "RECONSTRUCTION"
            ],
            "example": "THIRD_PARTY_ERROR",
            "type": "string"
          },
          "resetCredentials": {
            "additionalProperties": {
              "type": "string"
            },
            "description": "Reset links to reset credentials for the company.",
            "example": "{'resetUsernameUrl': 'https://insurely.com/forgot-username', 'resetPasswordUrl': 'https://insurely.com/forgot-password'}",
            "type": "object"
          },
          "status": {
            "description": "Status indicating the quality of the data collection for this company. A company has status BETA until we can\nguarantee the data quality and stability of it, after which its status is set to OK. A company may also be\nreported with status DEGRADED_PERFORMANCE when it is experiencing intermittent issues, usually due to errors\nat the data source. When status is DEGRADED_PERFORMANCE collections can still be attempted but may fail or\nreturn incomplete data.\n",
            "enum": [
              "OK",
              "BETA",
              "NOT_IMPLEMENTED",
              "DEGRADED_PERFORMANCE"
            ],
            "example": "OK",
            "type": "string"
          },
          "supportsPreheating": {
            "description": "Whether the company supports starting a collection without user input.\nRequires input to be passed in at a later stage through the supplemental-info endpoint.\n",
            "type": "boolean"
          }
        },
        "required": [
          "additionalLoginInputs",
          "availableCoverageScopes",
          "collectionMethod",
          "company",
          "companyAndLineOfBusinesses",
          "companyDisplayName",
          "consentRequirements",
          "functional",
          "loginMethods",
          "nonFunctionalLoginMethods",
          "status",
          "supportsPreheating"
        ]
      },
      "CompanyLoginConfig": {
        "properties": {
          "passwordFieldPlaceholder": {
            "enum": [
              "PASSWORD",
              "CONFIDENTIAL_CODE",
              "PERSONAL_CODE",
              "SECRET_CODE",
              "MEMBERSHIP_NUMBER",
              "PIN_OR_PASSWORD"
            ],
            "type": "string"
          },
          "passwordLabel": {
            "enum": [
              "PASSWORD",
              "CONFIDENTIAL_CODE",
              "PERSONAL_CODE",
              "SECRET_CODE",
              "MEMBERSHIP_NUMBER",
              "PIN_OR_PASSWORD"
            ],
            "type": "string"
          },
          "usernameFieldPlaceholder": {
            "enum": [
              "EMAIL",
              "IDENTIFICATION_NUMBER_11",
              "IDENTIFICATION_CHARACTERS_8",
              "EMAIL_MOBILE_MUTUAL_MEMBER",
              "EMAIL_MOBILE_CLIENT",
              "EMAIL_MUTUAL_OR_REGULAR_MEMBER",
              "EMAIL_MOBILE_CONTRACT",
              "EMAIL_OR_MEMBER",
              "CLIENT_NUMBER",
              "LAST_NAME"
            ],
            "type": "string"
          },
          "usernameLabel": {
            "enum": [
              "EMAIL",
              "USERNAME",
              "CLIENT_NUMBER",
              "LAST_NAME"
            ],
            "type": "string"
          }
        }
      },
      "CompanyProducts": {
        "properties": {
          "company": {
            "type": "string"
          },
          "wealthProductTypes": {
            "items": {
              "$ref": "#/components/schemas/WealthProductTypeAvailability"
            },
            "type": "array"
          }
        }
      },
      "CompanyProductsResponse": {
        "properties": {
          "companies": {
            "items": {
              "$ref": "#/components/schemas/CompanyProducts"
            },
            "type": "array"
          }
        }
      },
      "ConsentRequirement": {
        "description": "The requirement for collect a specific consent.",
        "properties": {
          "method": {
            "description": "What method to use to collect the consent.",
            "enum": [
              "NONE",
              "NOTICE",
              "ACTIVE"
            ],
            "example": "ACTIVE",
            "type": "string"
          },
          "type": {
            "description": "The consent type.",
            "enum": [
              "TRADE_UNION_MEMBERSHIP"
            ],
            "example": "TRADE_UNION_MEMBERSHIP",
            "type": "string"
          }
        },
        "required": [
          "method",
          "type"
        ]
      },
      "Cookie": {
        "description": "A description of an HTTP cookie.",
        "properties": {
          "domain": {
            "description": "Domain of the cookie.",
            "example": ".insurely.com",
            "type": "string"
          },
          "httpOnly": {
            "description": "Whether the cookie is set to httpOnly or not.",
            "example": false,
            "type": "boolean"
          },
          "name": {
            "description": "Name of the cookie.",
            "example": "COOKIE_CONSENT",
            "type": "string"
          },
          "path": {
            "description": "Path of the cookie.",
            "example": "/",
            "type": "string"
          },
          "secure": {
            "description": "Whether the cookie is secure or not.",
            "example": true,
            "type": "boolean"
          },
          "value": {
            "description": "Value of the cookie.",
            "example": "1",
            "type": "string"
          }
        }
      },
      "DepositTransaction": {
        "description": "A deposit to the account",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/Transaction"
          },
          "propertyName": "transaction type"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The transaction amount."
          },
          "description": {
            "description": "The description of the transaction.",
            "example": "Insättning",
            "type": "string"
          },
          "settlementDate": {
            "description": "The date when the transaction was settled.",
            "example": "2024-01-01",
            "type": "string"
          },
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "DEPOSIT",
            "title": "TransactionType",
            "type": "string"
          }
        },
        "title": "DepositTransaction"
      },
      "DividendTransaction": {
        "description": "A dividend from a holding in the account",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/Transaction"
          },
          "propertyName": "transaction type"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The transaction amount."
          },
          "description": {
            "description": "The description of the transaction.",
            "example": "Utdelning",
            "type": "string"
          },
          "instrumentInformation": {
            "$ref": "#/components/schemas/TransactionInstrument",
            "description": "Instrument that related to the dividend transaction."
          },
          "settlementDate": {
            "description": "The date when the transaction was settled.",
            "example": "2024-01-01",
            "type": "string"
          },
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "DIVIDEND",
            "title": "TransactionType",
            "type": "string"
          }
        },
        "title": "DividendTransaction"
      },
      "ErrorResponse": {
        "description": "Standard error response returned by the API when a request fails.",
        "properties": {
          "errors": {
            "description": "Field-level validation errors, empty when not applicable.",
            "items": {
              "$ref": "#/components/schemas/InsurelyInputError"
            },
            "type": "array"
          },
          "localizedMessage": {
            "description": "Localized version of the error message, if available.",
            "example": "Invalid request",
            "type": "string"
          },
          "message": {
            "description": "Human-readable error message.",
            "example": "Invalid request",
            "type": "string"
          },
          "status": {
            "description": "HTTP status name.",
            "example": "BAD_REQUEST",
            "type": "string"
          },
          "statusCode": {
            "description": "HTTP status code.",
            "example": 400,
            "format": "int32",
            "type": "integer"
          }
        }
      },
      "FeeTransaction": {
        "description": "Fee withdrawn from the account",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/Transaction"
          },
          "propertyName": "transaction type"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The transaction amount."
          },
          "description": {
            "description": "The description of the transaction.",
            "example": "Avgift",
            "type": "string"
          },
          "feeType": {
            "description": "What the fee was charged for. Absent when not known.",
            "enum": [
              "ENTRY",
              "MANAGEMENT"
            ],
            "example": "ENTRY",
            "title": "FeeType",
            "type": "string"
          },
          "settlementDate": {
            "description": "The date when the transaction was settled.",
            "example": "2024-01-01",
            "type": "string"
          },
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "FEE",
            "title": "TransactionType",
            "type": "string"
          }
        },
        "title": "FeeTransaction"
      },
      "FinancialPeriod": {
        "properties": {
          "endDate": {
            "description": "End date of the period. Format: YYYY-MM-DD.",
            "example": "2020-12-31",
            "type": "string"
          },
          "startDate": {
            "description": "Start date of the period. Format: YYYY-MM-DD.",
            "example": "2020-01-01",
            "type": "string"
          }
        }
      },
      "FinancialProduct": {
        "description": "Details of financial products such as pensions and investments accounts.",
        "discriminator": {
          "mapping": {
            "child-38": "#/components/schemas/SpanishSecuritiesAccount"
          },
          "propertyName": "financial product type"
        },
        "oneOf": [
          {
            "$ref": "#/components/schemas/SpanishSecuritiesAccount"
          }
        ],
        "properties": {
          "company": {
            "description": "Company where the financial product has been collected from, in the format `{market}-{company}`.",
            "example": "es-company",
            "type": "string"
          },
          "companyDisplayName": {
            "description": "Display name of the company for user-friendly presentation.",
            "example": "Company",
            "type": "string"
          },
          "type": {
            "description": "Type of the financial product.",
            "enum": [
              "SECURITIES_ACCOUNT"
            ],
            "example": "SECURITIES_ACCOUNT",
            "type": "string"
          }
        },
        "required": [
          "type"
        ],
        "title": "Financial Product"
      },
      "Holder": {
        "properties": {
          "name": {
            "description": "Name of the person or organization owning the financial product.",
            "example": "Bolagsnamn AB",
            "type": "string"
          },
          "organization": {
            "$ref": "#/components/schemas/Organization",
            "description": "Information about the organization owning the pension/investment. This field is absent if the holder is a person. This field can also be absent if no organization has been found, or if there is more than one matching organization based on the holder name. See organization suggestions."
          },
          "organizationSuggestions": {
            "description": "List of holder organization suggestions. If the organization could not be identified uniquely, base on name or number, Then a list of suggestions will be returned. If there is only one organization identified, this will be present under organization and this field will be absent.",
            "items": {
              "$ref": "#/components/schemas/Organization"
            },
            "type": "array"
          }
        }
      },
      "InitiateCollectionRequest": {
        "description": "Future-proof request body that represents a collection as a set of typed parameters.",
        "properties": {
          "company": {
            "description": "Company identifier.",
            "example": "es-bbva",
            "type": "string"
          },
          "loginMethod": {
            "description": "The login method to use for authentication.",
            "enum": [
              "DANISH_NEMID",
              "DANISH_MITID",
              "DANISH_MITID_SAME_DEVICE",
              "ESTONIAN_MOBILE_ID",
              "ESTONIAN_SMART_ID",
              "ESTONIAN_MOBILE_ID_USERNAME",
              "ESTONIAN_SMART_ID_USERNAME",
              "LATVIAN_MOBILE_EPARAKSTS",
              "LATVIAN_SMART_ID",
              "LATVIAN_MOBILE_EPARAKSTS_USERNAME",
              "LATVIAN_SMART_ID_USERNAME",
              "LITHUANIAN_SMART_ID",
              "LITHUANIAN_MOBILE_ID",
              "LITHUANIAN_SMART_ID_USERNAME",
              "LITHUANIAN_MOBILE_ID_USERNAME",
              "SMART_ID_SAME_DEVICE",
              "SMART_ID_OTHER_DEVICE",
              "SMART_ID_USERNAME_SAME_DEVICE",
              "SMART_ID_USERNAME_OTHER_DEVICE",
              "NORWEGIAN_BANKID_ON_MOBILE",
              "NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST",
              "SWEDISH_SECURITY_TOKEN",
              "UK_DOB_USERNAME_PASSWORD",
              "UK_LASTNAME_MEMBERSHIP_NUMBER",
              "UK_USERNAME_POSTCODE",
              "USERNAME_AND_PASSWORD",
              "EMAIL",
              "PDF_UPLOAD",
              "GERMAN_EID",
              "AUTHENTICATION_APP_URL",
              "MANUAL_SELECT",
              "API_KEY"
            ],
            "type": "string"
          },
          "parameters": {
            "description": "Typed parameters describing how to authenticate, consent and scope the collection. Can be empty or null depending on the loginMethod provided.",
            "items": {
              "oneOf": [
                {
                  "$ref": "#/components/schemas/LoginMethodParameter"
                },
                {
                  "$ref": "#/components/schemas/SessionMetadataParameter"
                },
                {
                  "$ref": "#/components/schemas/TradeUnionConsentParameter"
                }
              ]
            },
            "type": "array"
          },
          "productTypeFilter": {
            "description": "Narrows the collection to a subset of the products this client is configured for. Omit the field to collect the full configured set.\n\nEach value is a product key of the form `<market>.<category>.<product>`. A three-segment key names a single product; a two-segment key names a whole category and collects every product the client is allowed in it. The market segment is always this market, insurance included.\n\nThe accepted keys are enumerated on this field. That list is this market's vocabulary, not your entitlement: which of them your client may use depends on its configuration. Keys for the other domain, if your client collects both, are enumerated in that domain's spec.\n\nRejected with 400: a key naming a category or product this market does not have; a named product the client is not configured for; or a filter that resolves to no products at all. An empty array is rejected for the same reason — omit the field instead.\n\nA category this market does have is never an error on its own. It contributes whatever the client is allowed in it, and nothing when that is empty, so a caller sending a fixed superset keeps working when the configuration changes underneath them.\n\nIn France and Germany the configuration check is family-level rather than per product, because those markets record the product family rather than the product: a client configured for French pensions is accepted for any PER key.",
            "example": [
              "es.investments",
              "es.investments.securities_account"
            ],
            "items": {
              "enum": [
                "es.investments",
                "es.investments.securities_account"
              ],
              "type": "string"
            },
            "minItems": 1,
            "type": "array"
          }
        },
        "required": [
          "company"
        ],
        "title": "InitiateCollectionRequest"
      },
      "InstructionsRequestObject": {
        "description": "The instructions request object included in the `CollectionStatusInformationMap` for the `SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION` login method.",
        "properties": {
          "request": {
            "$ref": "#/components/schemas/Request"
          }
        },
        "required": [
          "request"
        ]
      },
      "InsuranceTypeAndSubtype": {
        "properties": {
          "insuranceSubType": {
            "description": "The specific insurance subtype",
            "enum": [
              "carInsurance",
              "boatInsurance",
              "trailerInsurance",
              "motorcycleInsurance",
              "mopedInsurance",
              "caravanInsurance",
              "motorhomeInsurance",
              "otherVehicleInsurance",
              "childInsurance",
              "pregnancyInsurance",
              "lifeInsurance",
              "healthInsurance",
              "accidentInsurance",
              "travelInsurance",
              "condoInsurance",
              "contentsInsurance",
              "villaInsurance",
              "cottageInsurance",
              "farmInsurance",
              "catInsurance",
              "dogInsurance",
              "horseInsurance",
              "otherAnimalInsurance",
              "genericInsurance",
              "groupInsurance",
              "incomeInsurance",
              "sicknessInsurance",
              "loanInsurance",
              "landlordInsurance"
            ],
            "example": "CAR_INSURANCE",
            "type": "string"
          },
          "insuranceType": {
            "description": "The main insurance type category",
            "enum": [
              "vehicleInsurance",
              "houseContentInsurance",
              "personInsurance",
              "animalInsurance",
              "groupInsurance",
              "generalInsurance",
              "incomeInsurance"
            ],
            "example": "VEHICLE_INSURANCE",
            "type": "string"
          }
        }
      },
      "InsurelyInputError": {
        "description": "Field-level validation errors, empty when not applicable."
      },
      "InterestTransaction": {
        "description": "A deposit of interest to the account",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/Transaction"
          },
          "propertyName": "transaction type"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The transaction amount."
          },
          "description": {
            "description": "The description of the transaction.",
            "example": "Ränta",
            "type": "string"
          },
          "settlementDate": {
            "description": "The date when the transaction was settled.",
            "example": "2024-01-01",
            "type": "string"
          },
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "INTEREST",
            "title": "TransactionType",
            "type": "string"
          }
        },
        "title": "InterestTransaction"
      },
      "Item": {
        "description": "The item object included in the `CollectionInput` for providing supplemental information",
        "properties": {
          "type": {
            "description": "The type of information provided",
            "enum": [
              "EMAIL",
              "LOGIN_METHOD",
              "PASSWORD",
              "TWO_FACTOR_TOKEN",
              "USERNAME"
            ],
            "example": "EMAIL",
            "type": "string"
          },
          "value": {
            "description": "The value for the corresponding type that is passed in for the item",
            "example": "abc@insurely.com",
            "minLength": 1,
            "type": "string"
          }
        },
        "required": [
          "value"
        ]
      },
      "LoginMethodParameter": {
        "allOf": [
          {
            "$ref": "#/components/schemas/CollectionParameter"
          }
        ],
        "description": "Selects which login method the collector should trigger.",
        "properties": {
          "loginMethod": {
            "description": "Identifier of the login method supported by the availability endpoint.",
            "enum": [
              "DANISH_NEMID",
              "DANISH_MITID",
              "DANISH_MITID_SAME_DEVICE",
              "ESTONIAN_MOBILE_ID",
              "ESTONIAN_SMART_ID",
              "ESTONIAN_MOBILE_ID_USERNAME",
              "ESTONIAN_SMART_ID_USERNAME",
              "LATVIAN_MOBILE_EPARAKSTS",
              "LATVIAN_SMART_ID",
              "LATVIAN_MOBILE_EPARAKSTS_USERNAME",
              "LATVIAN_SMART_ID_USERNAME",
              "LITHUANIAN_SMART_ID",
              "LITHUANIAN_MOBILE_ID",
              "LITHUANIAN_SMART_ID_USERNAME",
              "LITHUANIAN_MOBILE_ID_USERNAME",
              "SMART_ID_SAME_DEVICE",
              "SMART_ID_OTHER_DEVICE",
              "SMART_ID_USERNAME_SAME_DEVICE",
              "SMART_ID_USERNAME_OTHER_DEVICE",
              "NORWEGIAN_BANKID_ON_MOBILE",
              "NORWEGIAN_BANKID_ON_MOBILE_FULL_PERSONAL_NUMBER",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_MOCK",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION_MOCK",
              "SWEDISH_MOBILE_BANKID_OTHER_DEVICE_TEST",
              "SWEDISH_MOBILE_BANKID_SAME_DEVICE_TEST",
              "SWEDISH_SECURITY_TOKEN",
              "UK_DOB_USERNAME_PASSWORD",
              "UK_LASTNAME_MEMBERSHIP_NUMBER",
              "UK_USERNAME_POSTCODE",
              "USERNAME_AND_PASSWORD",
              "EMAIL",
              "PDF_UPLOAD",
              "GERMAN_EID",
              "AUTHENTICATION_APP_URL",
              "MANUAL_SELECT",
              "API_KEY"
            ],
            "type": "string"
          },
          "type": {
            "enum": [
              "LOGIN_METHOD"
            ],
            "type": "string"
          }
        },
        "required": [
          "loginMethod"
        ]
      },
      "MonetaryAmount": {
        "description": "Defines a monetary amount, specified by its currency code and numerical value.",
        "properties": {
          "amount": {
            "description": "The numeric representation of the monetary value.",
            "example": 10.32,
            "type": "number"
          },
          "currency": {
            "description": "The ISO 4217 standard currency code. Possible enums: DKK, EUR, GBP, NOK, SEK, USD, etc.",
            "example": "EUR",
            "type": "string"
          }
        },
        "title": "Monetary Amount"
      },
      "Organization": {
        "description": "Information about the organization owning the financial product. This field is absent if the holder is a person. This field can also be absent if no organization has been found, or if there is more than one matching organization based on the holder name. See organization suggestions.",
        "properties": {
          "city": {
            "description": "City where the company is based.",
            "example": "Stockholm",
            "type": "string"
          },
          "financialInformation": {
            "$ref": "#/components/schemas/Wealth.OrganizationFinancialInformation",
            "description": "Financial information about the organization. This field is a premium feature and will not be returned by default. To turn this feature on, please contact your Account Manager."
          },
          "name": {
            "description": "Name of the organization.",
            "example": "Company Inc",
            "type": "string"
          },
          "number": {
            "description": "Organization number.",
            "example": "5111111111",
            "type": "string"
          }
        }
      },
      "OtherTransaction": {
        "description": "A transaction to or from the account with an unknown type",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/Transaction"
          },
          "propertyName": "transaction type"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The transaction amount."
          },
          "description": {
            "description": "The description of the transaction.",
            "example": "Skatt",
            "type": "string"
          },
          "settlementDate": {
            "description": "The date when the transaction was settled.",
            "example": "2024-01-01",
            "type": "string"
          },
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "OTHER",
            "title": "TransactionType",
            "type": "string"
          }
        },
        "title": "OtherTransaction"
      },
      "ProductFinancialInformation": {
        "properties": {
          "currentValue": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "Current value of the assets in the financial product. Current value is total paid + change in value. Change in value is affected by performance of underlying assets and withdrawals."
          },
          "performanceSinceStart": {
            "description": "Performance of the portfolio as a percentage. For example, 0.2533 represents a 25.33% increase in value. Performance is taken as presented in the source, exact measuring method is unavailable",
            "example": 0.2533,
            "format": "double",
            "type": "number"
          },
          "totalDeposits": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "Cumulated value of all deposits (premiums/transfers)."
          }
        }
      },
      "ProductTransactions": {
        "description": "The full transaction history of one financial product.",
        "properties": {
          "id": {
            "description": "The id of the financial product, the same as the id of the product in the wealth data of the collection.",
            "example": "df2e7a28-6b1c-4f3e-9a52-0c8d7e1f4b39",
            "type": "string"
          },
          "transactions": {
            "description": "All transactions of the product.",
            "items": {
              "$ref": "#/components/schemas/Transaction"
            },
            "type": "array"
          }
        },
        "required": [
          "id",
          "transactions"
        ]
      },
      "RedemptionTransaction": {
        "description": "Redemption of shares on the account",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/Transaction"
          },
          "propertyName": "transaction type"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The transaction amount."
          },
          "description": {
            "description": "The description of the transaction.",
            "example": "Utdelning",
            "type": "string"
          },
          "instrumentInformation": {
            "$ref": "#/components/schemas/TransactionInstrument",
            "description": "Instrument that related to the dividend transaction."
          },
          "settlementDate": {
            "description": "The date when the transaction was settled.",
            "example": "2024-01-01",
            "type": "string"
          },
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "REDEMPTION",
            "title": "TransactionType",
            "type": "string"
          }
        },
        "title": "RedemptionTransaction"
      },
      "Request": {
        "properties": {
          "body": {
            "description": "If the method is POST, body to be included in the POST request as string.",
            "example": "'{\"username\":\"19900101-1234\"}'",
            "type": "string"
          },
          "cookies": {
            "description": "List of cookies to include in the request. They should be added to a cookie jar and included in each subsequent request.",
            "items": {
              "$ref": "#/components/schemas/Cookie"
            },
            "type": "array"
          },
          "etag": {
            "description": "Entity tag of the request, each unique request will have its own unique etag. This allows for distinguishing between new requests to be made,\nsince the same request may be \"returned with multiple `CollectionStatus` responses.",
            "example": "d5c19d129d9f4a54b7de2fa198bf73fa-initiate",
            "type": "string"
          },
          "headers": {
            "additionalProperties": {
              "type": "string"
            },
            "description": "Map of headers to include with the request.",
            "example": {
              "Content-Type": "application/json"
            },
            "type": "object"
          },
          "method": {
            "description": "HTTP method of the request.",
            "example": "POST",
            "type": "string"
          },
          "url": {
            "description": "URL to make a request towards. This will be based on the company that the collection is started towards.",
            "example": "https://insurely.com/initiate-bankid",
            "type": "string"
          }
        },
        "required": [
          "url"
        ]
      },
      "ResponseObject": {
        "description": "An HTTP response to be provided after receiving HTTP `INSTRUCTIONS` in the `CollectionStatus` `extraInformation` object. This is expected when using the `SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION` `loginMethod`. An in-depth description of this flow can be found in the introduction.",
        "properties": {
          "headers": {
            "additionalProperties": {
              "items": {
                "type": "string"
              },
              "type": "array"
            },
            "description": "The keys and values of the response headers. Values are lists because some headers (notably Set-Cookie) will be repeated",
            "example": {
              "Cache-Control": [
                "no-cache, no-store, max-age=0"
              ],
              "Content-Encoding": [
                "gzip"
              ],
              "Content-Language": [
                "sv_SE"
              ],
              "Content-Type": [
                "application/json; charset=UTF-8"
              ],
              "Date": [
                "Sun, 20 Jul 1969 20:17:10 GMT"
              ],
              "Expires": [
                "Thu, 01 Jan 1970 00:00:00 GMT"
              ],
              "Pragma": [
                "no-cache"
              ],
              "Server": [
                "-"
              ],
              "Set-Cookie": [
                "session=0cdd1666-7319-4f73-8fc3-d095f83b4ff9;Path=/;Domain=somecompany.se;Secure;HttpOnly",
                "qwerty=219ffwef9w0f; Domain=somecompany.se"
              ],
              "Strict-Transport-Security": [
                "max-age=31536000; includeSubDomains"
              ],
              "Transfer-Encoding": [
                "Identity"
              ],
              "Vary": [
                "Accept-Encoding"
              ]
            },
            "type": "object"
          },
          "response": {
            "description": "The response body, in the format it was responded, e.g. html or json.",
            "example": {
              "andromedaUserToken": "some_random_token",
              "extendedUsage": false,
              "formattedServerTime": "1969-07-20 22:27",
              "links": {
                "next": {
                  "method": "GET",
                  "uri": "/v5/profile/"
                }
              },
              "maskedUserId": "19300805****",
              "serverTime": "19690720 22:17",
              "status": "COMPLETE"
            }
          },
          "type": {
            "enum": [
              "RESPONSE_OBJECT"
            ],
            "example": "RESPONSE_OBJECT",
            "type": "string"
          }
        },
        "title": "ResponseObject"
      },
      "SelectOne": {
        "properties": {
          "key": {
            "type": "string"
          },
          "options": {
            "items": {
              "$ref": "#/components/schemas/AdditionalLoginInputSelectOption"
            },
            "type": "array",
            "uniqueItems": true
          },
          "type": {
            "type": "string"
          }
        },
        "required": [
          "key",
          "options"
        ]
      },
      "SellTransaction": {
        "description": "The sale of a holding in the account",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/Transaction"
          },
          "propertyName": "transaction type"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The transaction amount."
          },
          "commission": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The optional commission on the transaction"
          },
          "instrumentInformation": {
            "$ref": "#/components/schemas/TransactionInstrument",
            "description": "Information about the instrument traded."
          },
          "quantity": {
            "description": "The quantity of stock or fund bought.",
            "example": 204.33,
            "format": "double",
            "type": "number"
          },
          "settlementDate": {
            "description": "The date when the transaction was settled.",
            "example": "2024-01-01",
            "type": "string"
          },
          "tradeDate": {
            "description": "The date when the instrument was traded.",
            "example": "2024-01-01",
            "type": "string"
          },
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "SELL",
            "title": "TransactionType",
            "type": "string"
          }
        },
        "title": "SellTransaction"
      },
      "SessionMetadataParameter": {
        "allOf": [
          {
            "$ref": "#/components/schemas/CollectionParameter"
          }
        ],
        "description": "Lightweight metadata sent along with the collection request.",
        "properties": {
          "attributes": {
            "additionalProperties": {
              "type": "string"
            },
            "description": "Arbitrary key/value attributes used for correlation.",
            "example": {
              "externalReference": "client-run-42"
            },
            "type": "object"
          },
          "type": {
            "enum": [
              "SESSION_METADATA"
            ],
            "type": "string"
          }
        }
      },
      "SpanishSecuritiesAccount": {
        "description": "A securities account (Cartera de Inversión) holding funds equities, ETFs and other securities.",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/FinancialProduct"
          },
          "propertyName": "financial product type"
        },
        "example": {
          "accountInformation": {
            "cashValue": {
              "amount": 1250.4,
              "currency": "EUR"
            },
            "hasExclusiveOwnership": true,
            "interestRate": 0.01
          },
          "company": "es-bbva",
          "companyDisplayName": "BBVA",
          "feeFixed": 20,
          "feeVariable": 0,
          "financialInformation": {
            "currentValue": {
              "amount": 26982.66,
              "currency": "EUR"
            },
            "performanceSinceStart": 0.1605
          },
          "holder": {
            "name": "Firstname Lastname"
          },
          "holdings": [
            {
              "acquisitionValue": {
                "amount": 18883.51,
                "currency": "EUR"
              },
              "isin": "ES0130670112",
              "name": "Endesa S.A.",
              "quantity": 5400,
              "type": "EQUITY",
              "value": {
                "amount": 22468.39,
                "currency": "EUR"
              }
            }
          ],
          "id": "df2e7a28-d871-45c1-a01e-515b7aeaf7da",
          "productName": "Cartera de Inversión",
          "productNumber": "CI-987654321",
          "transactions": [
            {
              "amount": {
                "amount": 500,
                "currency": "EUR"
              },
              "settlementDate": "2026-01-15",
              "type": "DEPOSIT"
            }
          ],
          "type": "SECURITIES_ACCOUNT"
        },
        "properties": {
          "accountInformation": {
            "$ref": "#/components/schemas/AccountInformation",
            "description": "Account details such as available balance and interest rate."
          },
          "company": {
            "description": "  Company where the financial product has been collected from. Examples:\n  `es-caixabank`, `es-bbva`, `es-revolut`.\n",
            "example": "es-bbva",
            "type": "string"
          },
          "companyDisplayName": {
            "description": "Display name of the company for user-friendly presentation.",
            "example": "BBVA",
            "type": "string"
          },
          "feeFixed": {
            "description": "Fixed annual account fee amount (e.g. custody/administration fee)",
            "example": 20,
            "format": "double",
            "type": "number"
          },
          "feeVariable": {
            "description": "Variable annual account fee, expressed as a fraction of value (e.g. 0.001).",
            "example": 0.001,
            "format": "double",
            "type": "number"
          },
          "financialInformation": {
            "$ref": "#/components/schemas/ProductFinancialInformation",
            "description": "Financial details of the product, like value, performance etc."
          },
          "holder": {
            "$ref": "#/components/schemas/Holder",
            "description": "Information about the owner of the financial product."
          },
          "holdings": {
            "description": "List of holdings within the financial product.",
            "items": {
              "$ref": "#/components/schemas/Wealth.Holding"
            },
            "type": "array"
          },
          "id": {
            "description": "Insurely-generated unique identifier for this collection of the financial product. Randomly generated and not stable across collections — a new id is issued each time the product is collected, even for the same underlying account. Use this only as a handle within a single collection (e.g., to correlate holdings and transactions). Do not use it to recognize the same product over time; use the stable institution-assigned identifier on this product (e.g., `productNumber`, `accountNumber`, or `loanId`) for that.",
            "example": "6a7c135e-3a56-44ae-bc53-1d0d5321f552",
            "type": "string"
          },
          "productName": {
            "description": "Name of the financial product.",
            "type": "string"
          },
          "productNumber": {
            "description": "The product number assigned by the source financial institution (e.g., ISK account number, policy number, mortgage number). This is the most stable identifier for the product over time and across collections, and is suitable for matching the same product between repeated collections. Note that stability is best-effort and depends on what the institution exposes; it may occasionally change if the institution restructures or reissues the product.",
            "type": "string"
          },
          "transactions": {
            "description": "Transaction history for the last 12 months.",
            "items": {
              "$ref": "#/components/schemas/Transaction"
            },
            "type": "array"
          },
          "type": {
            "description": "Type of the financial product.",
            "enum": [
              "SECURITIES_ACCOUNT"
            ],
            "example": "ISK",
            "type": "string"
          }
        },
        "required": [
          "company",
          "companyDisplayName",
          "id",
          "type"
        ],
        "title": "Securities Account",
        "x-markets": {
          "es": true
        },
        "x-tag": "Financial Product Type"
      },
      "SupplementInformation": {
        "discriminator": {
          "mapping": {
            "COLLECTION_INPUT": "#/components/schemas/CollectionInput",
            "RESPONSE_OBJECT": "#/components/schemas/ResponseObject",
            "TWO_FACTOR_CHOICE": "#/components/schemas/TwoFactorChoice",
            "TWO_FACTOR_CODE": "#/components/schemas/TwoFactorCode"
          },
          "propertyName": "api"
        },
        "oneOf": [
          {
            "$ref": "#/components/schemas/TwoFactorCode"
          },
          {
            "$ref": "#/components/schemas/TwoFactorChoice"
          },
          {
            "$ref": "#/components/schemas/ResponseObject"
          },
          {
            "$ref": "#/components/schemas/CollectionInput"
          }
        ],
        "properties": {
          "type": {
            "description": "Type of the supplemental information.",
            "enum": [
              "TWO_FACTOR_CODE",
              "TWO_FACTOR_CHOICE",
              "RESPONSE_OBJECT",
              "COLLECTION_INPUT"
            ],
            "type": "string"
          }
        },
        "title": "SupplementInformation"
      },
      "TradeUnionConsentParameter": {
        "allOf": [
          {
            "$ref": "#/components/schemas/CollectionParameter"
          }
        ],
        "description": "Represents that the end user consented to trade union data usage.",
        "properties": {
          "collectedAt": {
            "description": "Optional timestamp describing when the consent was collected.",
            "format": "date-time",
            "type": "string"
          },
          "type": {
            "enum": [
              "TRADE_UNION_CONSENT"
            ],
            "type": "string"
          },
          "value": {
            "description": "Whether the consent has been granted.",
            "type": "boolean"
          }
        },
        "required": [
          "value"
        ]
      },
      "Transaction": {
        "description": "List of transactions on the account within the last 12 months. Will only be included if configured accordingly",
        "discriminator": {
          "mapping": {
            "child-1": "#/components/schemas/BuyTransaction",
            "child-2": "#/components/schemas/DepositTransaction",
            "child-3": "#/components/schemas/DividendTransaction",
            "child-4": "#/components/schemas/FeeTransaction",
            "child-5": "#/components/schemas/InterestTransaction",
            "child-6": "#/components/schemas/OtherTransaction",
            "child-7": "#/components/schemas/SellTransaction",
            "child-8": "#/components/schemas/RedemptionTransaction",
            "child-9": "#/components/schemas/WithdrawalTransaction"
          },
          "propertyName": "transaction type"
        },
        "oneOf": [
          {
            "$ref": "#/components/schemas/BuyTransaction"
          },
          {
            "$ref": "#/components/schemas/DepositTransaction"
          },
          {
            "$ref": "#/components/schemas/DividendTransaction"
          },
          {
            "$ref": "#/components/schemas/FeeTransaction"
          },
          {
            "$ref": "#/components/schemas/InterestTransaction"
          },
          {
            "$ref": "#/components/schemas/OtherTransaction"
          },
          {
            "$ref": "#/components/schemas/SellTransaction"
          },
          {
            "$ref": "#/components/schemas/RedemptionTransaction"
          },
          {
            "$ref": "#/components/schemas/WithdrawalTransaction"
          }
        ],
        "properties": {
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "BUY",
            "title": "TransactionType",
            "type": "string"
          }
        }
      },
      "TransactionInstrument": {
        "properties": {
          "isin": {
            "description": "The isin of the instrument.",
            "example": "SE0005188836",
            "type": "string"
          },
          "name": {
            "description": "The name of the instrument.",
            "example": "LF Global Indexnära",
            "type": "string"
          },
          "priceInAccountCurrency": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The price of the instrument in the account currency."
          },
          "type": {
            "description": "The type of the instrument (equity, fund, etc).",
            "enum": [
              "ETF",
              "EQUITY",
              "FUND",
              "UNKNOWN"
            ],
            "example": "FUND",
            "type": "string"
          }
        },
        "title": "TransactionInstrument"
      },
      "TwoFactorAuthenticationInstruction": {
        "description": "Instructions for two factor authentication. Add supplemental information to a collection if the `responseType` is not `NO_RESPONSE`.",
        "properties": {
          "authenticationInstruction": {
            "description": "Instructions text",
            "example": "Please authenticate with the following device: <name>'s IPHONE 13",
            "type": "string"
          },
          "responseType": {
            "description": "Expected response type",
            "enum": [
              "NUMBER_CODE",
              "NO_RESPONSE",
              "PHONE_NUMBER",
              "QR_CODE"
            ],
            "example": "NUMBER_CODE",
            "type": "string"
          }
        },
        "required": [
          "authenticationInstruction",
          "responseType"
        ]
      },
      "TwoFactorChoice": {
        "description": "A two factor code to be supplied to a collection. The collection will have status `TWO FACTOR PENDING` when a two factor code is expected from the user.",
        "properties": {
          "type": {
            "enum": [
              "TWO_FACTOR_CHOICE"
            ],
            "example": "TWO_FACTOR_CHOICE",
            "type": "string"
          },
          "value": {
            "description": "UUID of Selected Two factor method",
            "example": "2331690c-06ea-499b-a5b5-c719e253ce93",
            "type": "string"
          }
        },
        "title": "TwoFactorChoice"
      },
      "TwoFactorCode": {
        "description": "A two factor code to be supplied to a collection. The collection will have status `TWO FACTOR PENDING` when a two factor code is expected from the user.",
        "properties": {
          "type": {
            "enum": [
              "TWO_FACTOR_CODE"
            ],
            "example": "TWO_FACTOR_CODE",
            "type": "string"
          },
          "value": {
            "description": "Two factor code",
            "example": "A12345",
            "type": "string"
          }
        },
        "title": "TwoFactorCode"
      },
      "TwoFactorOption": {
        "description": "Available 2FA methods for this collection.",
        "properties": {
          "displayText": {
            "description": "text to display",
            "example": "Please supply the code sent to your iPhone 070******6",
            "type": "string"
          },
          "type": {
            "description": "2FA type",
            "enum": [
              "SMS",
              "APP",
              "APP_CODE",
              "EMAIL"
            ],
            "example": "APP",
            "type": "string"
          },
          "uuid": {
            "description": "uuid for this option",
            "example": "7fbc80f0-870b-4d94-8a31-baf683780b79",
            "type": "string"
          }
        }
      },
      "Wealth.Holding": {
        "properties": {
          "acquisitionValue": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The total cost incurred to acquire an asset."
          },
          "feeVariable": {
            "description": "Yearly variable fee based on the value of the holding.",
            "example": 0.0015,
            "format": "double",
            "type": "number"
          },
          "isin": {
            "description": "ISIN code of the holding.",
            "example": "SE0005188836",
            "type": "string"
          },
          "marketIdentifierCode": {
            "description": "Unique identification code used to identify securities trading exchanges defined in ISO 10383",
            "example": "XSTO",
            "type": "string"
          },
          "name": {
            "description": "Name of the holding.",
            "example": "LF Global Indexnära",
            "type": "string"
          },
          "quantity": {
            "description": "Quantity of the asset held.",
            "example": 123.43,
            "format": "double",
            "type": "number"
          },
          "type": {
            "description": "Type of the holding.",
            "enum": [
              "ETF",
              "EQUITY",
              "FUND",
              "UNKNOWN"
            ],
            "example": "EQUITY",
            "type": "string"
          },
          "value": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "Current valuation of the holding, calculated as the product of unit price and quantity."
          }
        },
        "title": "Holding"
      },
      "Wealth.OrganizationFinancialInformation": {
        "properties": {
          "employeeCount": {
            "description": "Number of employees in the organization.",
            "format": "int32",
            "type": "integer"
          },
          "financialPeriod": {
            "$ref": "#/components/schemas/FinancialPeriod",
            "description": "Time period for which the information was fetched."
          },
          "netIncome": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "Net income for the specified period."
          },
          "shareCapital": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "Total share capital at the end of the period."
          },
          "turnover": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "Turnover during the specified period."
          }
        },
        "title": "OrganizationFinancialInformation"
      },
      "WealthProductTypeAvailability": {
        "properties": {
          "collectionSupported": {
            "type": "boolean"
          },
          "confirmedAtCompany": {
            "type": "boolean"
          },
          "productType": {
            "enum": [
              "SECURITIES_ACCOUNT"
            ],
            "type": "string"
          }
        }
      },
      "WealthTransactionsResponse": {
        "description": "The full transaction history of a wealth collection.",
        "properties": {
          "data": {
            "description": "The transactions per financial product. Only set when COMPLETED.",
            "items": {
              "$ref": "#/components/schemas/ProductTransactions"
            },
            "type": "array"
          },
          "status": {
            "description": "Status of the transaction history.",
            "enum": [
              "PENDING",
              "COMPLETED",
              "FAILED",
              "NOT_AVAILABLE"
            ],
            "example": "COMPLETED",
            "type": "string"
          }
        },
        "required": [
          "status"
        ]
      },
      "WithdrawalTransaction": {
        "description": "A withdrawal from the account",
        "discriminator": {
          "mapping": {
            "parent": "#/components/schemas/Transaction"
          },
          "propertyName": "transaction type"
        },
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/MonetaryAmount",
            "description": "The transaction amount."
          },
          "description": {
            "description": "The description of the transaction.",
            "example": "Uttag",
            "type": "string"
          },
          "settlementDate": {
            "description": "The date when the transaction was settled.",
            "example": "2024-01-01",
            "type": "string"
          },
          "type": {
            "enum": [
              "BUY",
              "SELL",
              "DEPOSIT",
              "WITHDRAWAL",
              "FEE",
              "INTEREST",
              "DIVIDEND",
              "REDEMPTION",
              "OTHER"
            ],
            "example": "WITHDRAWAL",
            "title": "TransactionType",
            "type": "string"
          }
        },
        "title": "WithdrawalTransaction"
      }
    },
    "securitySchemes": {
      "authorization-token": {
        "description": "Your API key. Requests are only accepted from IP addresses on the client's allowlist, and with a registered client certificate when mTLS is enforced for the client.",
        "in": "header",
        "name": "authorization-token",
        "type": "apiKey"
      },
      "client-id": {
        "description": "Your client ID, as used by the Prebuilt UI. Server-to-server integrations authenticate with authorization-token instead.",
        "in": "header",
        "name": "client-id",
        "type": "apiKey"
      },
      "jwt-token": {
        "bearerFormat": "JWT",
        "description": "A user session token, sent as `Authorization: Bearer <token>`.",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "contact": {
      "email": "tech@insurely.com",
      "name": "Insurely",
      "url": "https://insurely.com"
    },
    "description": "",
    "termsOfService": "https://www.insurely.com/sv/privacy-policy",
    "title": "Insurely API",
    "version": "2026-04-01"
  },
  "openapi": "3.1.0",
  "paths": {
    "/collections": {
      "get": {
        "description": "Returns all collections for the authenticated user within the client scope.",
        "operationId": "getCollections",
        "parameters": [
          {
            "description": "Return only the latest collection per company",
            "in": "query",
            "name": "latest",
            "required": false,
            "schema": {
              "default": false,
              "type": "boolean"
            }
          },
          {
            "description": "Filter by collection status (e.g. COMPLETED, FAILED)",
            "in": "query",
            "name": "statusIn",
            "required": false,
            "schema": {
              "items": {
                "type": "string"
              },
              "type": "array"
            }
          },
          {
            "description": "The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.",
            "example": "2026-04-01",
            "in": "header",
            "name": "Insurely-Version",
            "required": true,
            "schema": {
              "enum": [
                "2026-04-01"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "items": {
                    "$ref": "#/components/schemas/CollectionSummary"
                  },
                  "type": "array"
                }
              }
            },
            "description": "Collections retrieved successfully."
          },
          "401": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-401"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "Invalid or missing JWT token."
          }
        },
        "security": [
          {
            "jwt-token": []
          }
        ],
        "summary": "Get collections",
        "tags": [
          "Data Collection"
        ]
      },
      "post": {
        "description": "Initiate a data collection. Calling this will trigger the selected login method.",
        "operationId": "initiateCollection",
        "parameters": [
          {
            "in": "header",
            "name": "insurely-session-id",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.",
            "example": "2026-04-01",
            "in": "header",
            "name": "Insurely-Version",
            "required": true,
            "schema": {
              "enum": [
                "2026-04-01"
              ],
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/InitiateCollectionRequest"
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CollectionStatus"
                }
              }
            },
            "description": "Data collection successfully initiated."
          },
          "400": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-400"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "Invalid request. Check the response for reason details."
          },
          "401": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-401"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "Invalid authorization token or the token specified is not allowed to collect information from the specified company."
          },
          "403": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-403"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "The client is not allowed to use this endpoint or resource."
          },
          "429": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-429"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "Too many requests. Please retry with backoff."
          }
        },
        "security": [
          {
            "authorization-token": []
          },
          {
            "client-id": []
          },
          {
            "jwt-token": []
          }
        ],
        "summary": "Initiate collection",
        "tags": [
          "Data Collection"
        ]
      }
    },
    "/collections/{collectionId}/skip": {
      "post": {
        "description": "Mark a collection as skipped by the user.",
        "operationId": "skipCollection",
        "parameters": [
          {
            "in": "path",
            "name": "collectionId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.",
            "example": "2026-04-01",
            "in": "header",
            "name": "Insurely-Version",
            "required": true,
            "schema": {
              "enum": [
                "2026-04-01"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Successfully marked as skipped."
          },
          "401": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-401"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "Invalid authorization token or disabled client."
          },
          "403": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-403"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "The authenticated external user does not have access to the collection."
          },
          "404": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-404"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "Collection not found for this client."
          },
          "429": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-429"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
              }
            },
            "description": "Too many requests. Please retry with backoff."
          }
        },
        "security": [
          {
            "authorization-token": []
          },
          {
            "client-id": []
          },
          {
            "jwt-token": []
          }
        ],
        "summary": "Skip collection",
        "tags": [
          "Data Collection"
        ]
      }
    },
    "/collections/{collectionId}/status": {
      "get": {
        "description": "Returns the current status of an initiated collection.",
        "operationId": "getCollectionStatus",
        "parameters": [
          {
            "in": "path",
            "name": "collectionId",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "The API version to use, as YYYY-MM-DD. Must match the version of the endpoint you are targeting. A request without it, or with a version older than the client's minimum API version, is served by the client's minimum API version.",
            "example": "2026-04-01",
            "in": "header",
            "name": "Insurely-Version",
            "required": true,
            "schema": {
              "enum": [
                "2026-04-01"
              ],
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/CollectionStatusResponse"
                }
              }
            },
            "description": "Status successfully fetched."
          },
          "401": {
            "content": {
              "application/json": {
                "examples": {
                  "error": {
                    "$ref": "#/components/examples/standard-error-401"
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponse"
                }
[...]
